* {
    padding: 0;
    margin: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
}

.trsui-clearboth {
    clear: both;
}

.trsui-floatleft {
    float: left;
}

.trsui-floatright {
    float: right;
}


.trsui-textcenter {
    text-align: center;
}

.trsui-textleft {
    text-align: left;
}

.trsui-textright {
    text-align: right;
}

.trsui-hide {
    display: none;
}

.trsui-show {
    display: block;
}

/* 一行超出... */
.trsui-elip {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

/* 多行超出... */
.trsui-lineclamp {
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    display: -webkit-box;
}


.trsui-clearfix:after {
    /*伪元素是行内元素 正常浏览器清除浮动方法*/
    content: "";
    display: block;
    height: 0px;
    clear: both;
    visibility: hidden;
}

.trsui-clearfix {
    *zoom: 1;
    /*ie6清除浮动的方式 *号只有IE6-IE7执行，其他浏览器不执行*/
}

/* 卡片 */
.trsui-card {
    /* width: 400px; */
    box-shadow: 0 1px 10px 2px rgba(0, 0, 0, .06);
    padding: 20px 15px;
    background: #ffffff;
    /* margin: 20px; */
}

.trsui-card .trsui-cardtitle {
    margin-bottom: 10px;
}

.trsui-card .trsui-cardtitletext {
    font-weight: bold;
    color: #333333;
    /* max-width: 90%;
    float: left; */

}
.trsui-card .trsui-cardtitletext2 {
    font-weight: 100;
    color: #555;
}

.trsui-card .trsui-cardtitle2 {
    color: #cccccc;
    font-size: 12px;
}

.trsui-card .trsui-cardmore {
    text-align: right;
    display: inline-block;
    float: right;
}


.tipsimg {
    margin-left: 5px;
}

/* 卡片end */


/* 表格 */
.trsui-table {
    width: 100%;
    vertical-align: middle;
    trsui-table-layout: fixed;
    text-align: center;
}


.trsui-table thead {
    background: #fafafa;
    border-bottom: 1px solid #eee;
}

.trsui-table thead th {
    font-weight: bold;
}

.trsui-table th,
td {
    padding: 10px;
}

.trsui-table tbody tr {
    border-bottom: 1px solid #eee;
}

.trsui-table tbody tr:hover {
    background: #fafafa;
    transform: scale(1.02);
    -moz-box-shadow: 0px 0 10px 5px rgba(0, 0, 0, .06);
    box-shadow: 0px 0 10px 5px rgba(0, 0, 0, .06);
    -webkit-transition-duration: 0.25s;
    transition-duration: 0.25s;
    -webkit-transition-property: transform;
    transition-property: transform;
    cursor: pointer;
}

.trsui-table thead th[sort] {
    cursor: pointer;
    background-repeat: no-repeat;
    /*background-position: center right;*/
    background-position: 90% 50%;
}

.trsui-table thead th[sort='desc'] {
    background-image: url(../trsuiImg/sort-desc.png);

}

.trsui-table thead th[sort='asc'] {
    background-image: url(../trsuiImg/sort-asc.png);

}

.trsui-table .active-nav thead th[sort='both'] {
    background-image: url(../trsuiImg/sort-both.png);
}


/* 表格列宽度 */
.trsui-table .th-Wmax {
    width: 80%;
}

.trsui-table .th-W10P {
    width: 10% !important;
}

.trsui-table .th-W15P {
    width: 15% !important;
}

.trsui-table .th-W20P {
    width: 20% !important;
}

.trsui-table .th-W25P {
    width: 25% !important;
}

.trsui-table .th-W30P {
    width: 30% !important;
}

.trsui-table .th-W35P {
    width: 35% !important;
}

.trsui-table .th-W40P {
    width: 40% !important;
}

.trsui-table .th-W50P {
    width: 50% !important;
}

.trsui-table .th-W60 {
    width: 60px !important;
}

.trsui-table .th-W80 {
    width: 80px !important;
}

.trsui-table .th-W100 {
    width: 100px !important;
}

.trsui-table .th-W120 {
    width: 120px !important;
}

.trsui-table .th-W150 {
    width: 150px !important;
}

.trsui-table .th-W180 {
    width: 180px !important;
}

.trsui-table .th-W200 {
    width: 200px !important;
}

.trsui-table .tdtext {
    margin-bottom: 10px;
}

/* 表格列宽度ned */


.trsui-table .tdp1 {
    font-size: 14px;
    color: #394043;
    font-weight: bold;
}

.trsui-table .tdp2 {
    color: #333333;
}

.trsui-table .tdp3 {
    color: #aeb0b1;
}

.trsui-table .tdpspan {
    margin-right: 40px;
}

.trsui-table .tdpspantext {
    color: #333333;
}

/* .trsui-table td p {
line-height: 25px;
margin-bottom: 5px;
} */



/* 普通表格end */


/* 含边框的table */
/* table tbody tr {
border: 1px solid red;
} */


/* 斑马线table */
.trsui-ortable {}

.trsui-ortable tbody tr:nth-child(even) {
    background: #FCFCFC;
}

/* 斑马线table end*/


/* 输入框 */
/* 使用webkit内核的浏览器 */
input::-webkit-input-placeholder,
input:-moz-placeholder,
input::-moz-placeholder,
input:-ms-input-placeholder {
    color: #ccc;
}

.trsui-input[type='text'] {
    width: 300px;
    height: 36px;
    border: 1px solid #cccccc;
    border-radius: 5px;
    padding-left: 5px;
    width: 300px;
    height: 38px;
    line-height: 1.3;
    line-height: 38px;
    border-width: 1px;
    border-style: solid;
    background-color: #fff;
    border-radius: 5px;
    border-color: #e6e6e6;
    padding-left: 10px;
    max-width: 200px;
}

.trsui-input[type='text']:focus {
    /* border-color: red; */
    box-shadow: 0 1px 10px 2px rgba(30, 255, 0, 0.1);
}



/* 输入框end */


/* 下拉选项 */
.trsui-option {
    /*用div的样式代替select的样式*/
    margin: 10px;
    width: 140px;
    height: 40px;
    border-radius: 5px;
    /*盒子阴影修饰作用,自己随意*/
    box-shadow: 0 0 5px #ccc;
    border: 1px solid #cccccc;
    position: relative;
}

/* 下拉选项end */


/*  tag标签*/
.trsui-taglev {
    width: 20px;
    height: 20px;
    color: white;
    text-align: center;
    font-weight: bold;
    display: inline-block;
    background-color: #cccccc;
    border-radius: 4px;
}


.trsui-taglevred {
    background-color: red;
}

.trsui-taglevorange {
    background-color: orange;
}

.trsui-taglevgreen {
    background-color: green;
}

.trsui-tagtype {
    font-size: 12px;
    color: orange;
    border: 1px solid orange;
    display: inline-block;
    font-weight: bold;
    border-radius: 4px;
    padding: 2px 4px;
}

/*  tag标签 end*/


/* mprogressbar */
.layui-progress-bar {
    background-color: red;
}

/* mprogressbar end*/

/* trsui-btn */
.trsui-btn {
    width: 100px;
    /* height: 38px; */
    line-height: 38px;
    text-align: center;
    border-radius: 4px;
    cursor: pointer;
    border: 1px solid #C9C9C9;
    background-color: #fff;
    margin-right: 20px;
}

.trsui-btn:hover {
    opacity: .8;
}

.trsui-btn-nomal {
    background-color: #1890FF;
    border: 1px solid #1890FF;
    color: white;
}

.trsui-btn-min {
    width: 65px;
    height: 30px;
    line-height: 30px;
}

.trsui-btn-circle {
    border-radius: 20px;
}

.trsui-btn-max {
    width: 100%;
}

/* trsui-btn end*/

/* 翻页 */
.trsui-pages {
    /* text-align: right; */
    /*height: 25px;*/
    margin-top: 15px;
    /*color: #666;*/
    font-size: 14px;
    line-height: 14px;
}

.trsui-pages span {
    display: inline-block;
    width: 32px;
    /*height: 32px;*/
    text-align: center;
    border: 1px solid #E1E1E1;
    border-radius: 4px;
    color: #5C6272;
    padding: 8px 0;
    cursor: pointer;
    moz-user-select: -moz-none;
    -moz-user-select: none;
    -o-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.trsui-pages .active,
.trsui-pages span:hover {
    background: #1890FF;
    border: 1px solid #1890FF;
    color: #FFFFFF;
}

.trsui-pages span+span {
    margin-left: 8px;
}

.trsui-pages .more {
    border: none !important;
    background: none !important;
    color: #666 !important;
    cursor: auto;
    display: inline-block;
    margin: 0;
}

.trsui-pages input {
    width: 32px;
    color: #666;
    height: 32px;
    line-height: 32px;
    display: inline-block;
    text-align: center;
    font-size: 16px;
    padding: 0 5px;
    margin-left: 5px;
    border: 1px solid #ccc;
}

.trsui-pages button {
    background: #eee;
    border: none;
    height: 32px;
    line-height: 32px;
    color: #666;
    padding: 0 8px;
}

/*翻页end*/


/* loading */

.loadingGif {
    text-align: center;
}

.loadingGif img {
    border: none;
    display: inline-block;
    /* margin: 20%; */
}

/* loading end*/


/* 暂无数据 */
.noData {
    color: #9C9FA7 !important;
    text-align: center !important;
    font-size: 14px;
}

/*tips悬浮提示框*/
.trsui-tips {
    white-space: nowrap;
    position: absolute;
    background: #FFFFFF;
    border-radius: 2px;
    padding: 5px;
    font-size: 12px;
    box-shadow: 0 1px 10px 5px rgba(0, 0, 0, .06);
    color: #999999;
    max-width: 300px;
    white-space: normal;
}

.trsui-tips::after {
    content: "";
    width: 0px;
    height: 0px;
    border-bottom: 10px solid transparent;
    border-top: 10px solid transparent;
    border-right: 10px solid #fff;
    position: absolute;
    top: 15%;
    left: -10px
}

.trsui-tips.showRiskNumTitle::after {
    border-right: 10px solid transparent;
    border-left: 10px solid transparent;
    border-bottom: 10px solid #fff;
}

/*tips悬浮提示框 end*/

/* tab切换 */
.trsui-tabs {
    margin-bottom: 20px;
}

.trsui-tabsitem {
    padding: 5px 15px;
    position: relative;
    cursor: pointer;
    font-weight: bold;
}

.trsui-tabsitem.active::after {
    content: '';
    position: absolute;
    width: 40%;
    height: 2px;
    bottom: 0;
    left: 15px;
    background: #FF6600;
    font-weight: bold;

}

.trsui-tabs .trsui-tabsitem:hover,
.trsui-tabs .trsui-tabsitem.active {
    color: #333333;
    font-weight: bold;
}

/* tab切换end */

/* icon  来自本地文件*/
/*自定义图标字体*/
.icon {
    font-size: 35px;
    color: #15a3df;
}

.icon-qy:before {
    content: "\e90c";
}

.icon-xh:before {
    content: "\e915";
}

.icon-zq:before {
    content: "\e917";
}

.icon-pj:before {
    content: "\e90b";
}

.icon-gg:before {
    content: "\e906";
}

.icon-qwsj:before {
    content: "\e909";
}

.icon-sj:before {
    content: "\e908";
}

@font-face {
    font-family: 'icomoon';
    src: url('../fonts/icomoon.eot?58qq2r');
    src: url('../fonts/icomoon.eot?58qq2r#iefix') format('embedded-opentype'),
        url('../fonts/icomoon.ttf?58qq2r') format('truetype'),
        url('../fonts/icomoon.woff?58qq2r') format('woff'),
        url('../fonts/icomoon.svg?58qq2r#icomoon') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* 新增√x！
@font-face {
src: url('//at.alicdn.com/t/font10951303t6j1mmnwog.eot');
src: url('//at.alicdn.com/t/font10951303t6j1mmnwog.eot?#iefix') format('embedded-opentype'),
url('//at.alicdn.com/t/font10951303t6j1mmnwog.woff2') format('woff2'),
url('//at.alicdn.com/t/font10951303t6j1mmnwog.woff') format('woff'),
url('//at.alicdn.com/t/font10951303t6j1mmnwog.ttf') format('truetype'),
url('//at.alicdn.com/t/font10951303t6j1mmnwog.svg#iconfont') format('svg');
} */

[class^="icon-"],
[class*=" icon-"] {
    /* use !important to prevent issues with browser extensions that change fonts */
    font-family: 'icomoon' !important;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    /* Better Font Rendering =========== */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

/* 来自网络
@font-face {
    font-family: 'iconfont';
    src: url('//at.alicdn.com/t/font1095130p2dajzyh8kq.eot');
    src: url('//at.alicdn.com/t/font1095130p2dajzyh8kq.eot?#iefix') format('embedded-opentype'),
        url('//at.alicdn.com/t/font1095130p2dajzyh8kq.woff2') format('woff2'),
        url('//at.alicdn.com/t/font1095130p2dajzyh8kq.woff') format('woff'),
        url('//at.alicdn.com/t/font1095130p2dajzyh8kq.ttf') format('truetype'),
        url('//at.alicdn.com/t/font1095130p2dajzyh8kq.svg#iconfont') format('svg');
}

.iconfont {
    font-family: "iconfont" !important;
    font-size: 35px;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
}
*/
/* icon end*/


/*  置顶 */
/* #actGotop {
    position: fixed;
    bottom: 50px;
    right: 50px;
    height: 67px;
    width: 48px;
    display: none;
    z-index: 100;
    cursor: pointer;
    background: url(../trsuiImg/GoTop.png) no-repeat;
    background-position: 0px 4px;
}

#actGotop:hover {
    background-position: -48px 4px;
} */

#actGotop {
    background-color: #fff;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    color: #409eff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    box-shadow: 0 0 6px rgba(0, 0, 0, .12);
    cursor: pointer;
    z-index: 5;
    position: fixed;
    bottom: 50px;
    right: 50px;
}


#actGotop>div {
    border-bottom: 5px solid blue;
    border-top: 5px solid #fff;
    border-left: 5px solid #fff;
    border-right: 5px solid #fff;
}
#actGotop:hover{
    box-shadow: 5px 4px 15px rgba(0, 0, 0, .12);
}
/*  置顶 end*/

.trsui-mc {
    overflow: hidden;
    position: fixed;
    margin: 0;
    padding: 0;
    z-index: 9999;
    background: url(../trsuiImg/overlay.png);
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: auto;
    height: auto;
}

/* 弹框 */
.trsui-alertBox-mc {
    position: absolute;
}


.trsui-alertBox {
    position: fixed;
    top: 25%;
    left: 40%;
    z-index: 10000;
    min-width: 200px;
    max-width: 45%;
    /* text-align: center; */
    /* border: 1px solid #E3E3E3; */
    background: #ffffff;
    border-radius: 5px;
    box-shadow: 0 1px 5px 5px rgba(0, 0, 0, .01);
    /* max-height: 50%; */
    /* overflow-y: scroll; */
}

.trsui-alertBox .trsui-alertBox-title {
    height: 32px;
    line-height: 32px;
    border-bottom: 1px solid #E3E3E3;
    color: #333333;
    font-size: 14px;
    text-align: left;
    padding-left: 10px;
    position: relative;
    border-radius: 5px 5px 0px 0px;
}

.trsui-alertBox .trsui-alertBox-title .close {
    margin-right: 10px;
    position: absolute;
    right: 0;
    cursor: pointer;
    top: 3px;
    /* display: none; */
}

.trsui-alertBox .trsui-cont {
    word-break: break-all;
    padding: 10px 20px;
    position: relative;
    max-height: 300px;
    overflow: auto;
}

.trsui-alertBox .alertFoot {
    /* height: 32px; */
    line-height: 45px;
    border-top: 1px solid #E3E3E3;
    color: #333333;
    font-size: 14px;
    text-align: left;
    padding-left: 10px;
    position: relative;
    border-radius: 0px 0px 5px 5px;
    text-align: right;
}

.trsui-tooltips {}

/* .trsui-tooltips-success {
    background-color: #d9f5ca;
    color: #67c23a;
}

.trsui-tooltips-fail {
    background-color: #fef0f0;
    color: #f56c6c;
}

.trsui-tooltips-warm {
    background-color: #fdf6ec;
    color: #e6a23c;
}

.trsui-tooltips-info {
    background-color: #f4f4f5;
    color: #909399;
} */

.trsui-alertBox .trsui-alertBox-img {
    vertical-align: middle;
    width: 20px;
    margin-right: 10px;
}

.trsui-alertBox .trsui-alertBox-closeimg {
    position: absolute;
    right: 20px;
    width: 20px;
}

/* .trsui-tooltips-icon {
    display: inline-block;
    width: 15px;
    border-radius: 50%;
    border: 1px solid #ffffff;
    height: 15px;
    padding: 2px;
    text-align: center;
    line-height: 15px;
    color: #ffffff;
    margin-right: 10px;
}

.trsui-tooltips-icon.success {
    background: #67c23a;
}

.trsui-tooltips-icon.fail {
    background: #f56c6c;
}

.trsui-tooltips-icon.warm {
    background: #e6a23c;
}

.trsui-tooltips-icon.info {
    background: #909399;
} */

/* 弹框 end */



/*自定义单选框*/

.trsui-radio>input {
    display: none;
}

.trsui-radio {
    display: -webkit-box;
    display: -moz-box;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flexbox;
    display: flex;
}

.trsui-radio {
    cursor: pointer;
    -webkit-box-align: center;
    align-items: center;
    -webkit-align-items: center;
}

.trsui-media {
    position: relative;
    /*重要，伪类生成的原点，设置绝对定位以其自身为参照，所以自身设置相对定位*/
    width: 15px;
    height: 15px;
    margin-right: 5px;
    color: #fff;
    border: 1px solid #bfbfbf;
    /*未选中时的灰色边框线*/
}

.trsui-radio .trsui-media {
    border-radius: 50%;
}

/*鼠标悬停，border变色*/

.trsui-radio:hover .trsui-media {
    border-color: #1890FF;
    /*鼠标悬停时的border变成绿色*/
}


/*伪类画中心原点*/

.trsui-radio .trsui-media:after {
    content: "";
    /*使用绝对定位 让圆点居中与单选框*/
    position: absolute;
    top: 3px;
    left: 3px;
    /*圆点大小*/
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background: #1890FF;
    /*圆点绿色背景*/
    /*scale(0)将原点缩小为0，实现隐藏*/
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    transition: .3s ease;
    -webkit-transition: .3s ease;
}

.trsui-radio>input:checked+.trsui-media {
    border-color: #1890FF;
    /*圆心边框变为绿色*/
    background: #fff;
}

.trsui-radio>input:checked+.trsui-media:after {
    /*选中后 原本缩小为0倍而隐藏的原点 ， 变回1倍正常大小显示*/
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    transform: scale(1);
}

.trsui-radio>input:disabled+.trsui-media {
    border-color: #bfbfbf;
    /*圆心边框变为绿色*/
    background: #fff;
}


.trsui-selected-diable {
    position: relative;
    /*重要，伪类生成的原点，设置绝对定位以其自身为参照，所以自身设置相对定位*/
    width: 15px;
    height: 15px;
    margin-right: 5px;
    color: #fff;
    border-radius: 50%;
    border: 1px solid #bfbfbf;
    /*未选中时的灰色边框线*/
}

.trsui-radio .trsui-selected-diable:after {
    content: "";
    /*使用绝对定位 让圆点居中与单选框*/
    position: absolute;
    top: 3px;
    left: 3px;
    /*圆点大小*/
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background: #bfbfbf;
    /*圆点绿色背景*/
    /*scale(0)将原点缩小为0，实现隐藏*/
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    transition: .3s ease;
    -webkit-transition: .3s ease;
}

.trsui-radio>input:checked+.trsui-selected-diable:after {
    /*选中后 原本缩小为0倍而隐藏的原点 ， 变回1倍正常大小显示*/
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    transform: scale(1);
}


/*自定义单选框样式 end*/

/*自定义复选框*/

#trsui-checkbox {
    margin: 20px auto;
}

#trsui-checkbox span {
    position: relative;
}

#trsui-checkbox .input_check {
    position: absolute;
    visibility: hidden;
}

#trsui-checkbox .input_check+label {
    display: inline-block;
    width: 16px;
    height: 16px;
    border: 1px solid #bfbfbf;
}

#trsui-checkbox .input_check:checked+label {
    border-color: #1890FF;
    /*圆心边框变为绿色*/
    background: #fff;
}

#trsui-checkbox .input_check:checked+label:after {
    content: "";
    position: absolute;
    left: 2px;
    bottom: 9px;
    width: 9px;
    height: 4px;
    border: 2px solid #1890FF;
    border-top-color: transparent;
    border-right-color: transparent;
    -ms-transform: rotate(-60deg);
    -moz-transform: rotate(-60deg);
    -webkit-transform: rotate(-60deg);
    transform: rotate(-45deg);
}

#trsui-checkbox .input_check_disable {
    position: absolute;
    visibility: hidden;
}

#trsui-checkbox .input_check_disable+label {
    display: inline-block;
    width: 16px;
    height: 16px;
    border: 1px solid #bfbfbf;
}

#trsui-checkbox .input_check_disable:checked+label:after {
    content: "";
    position: absolute;
    left: 2px;
    bottom: 9px;
    width: 9px;
    height: 4px;
    border: 2px solid #bfbfbf;
    border-top-color: transparent;
    border-right-color: transparent;
    -ms-transform: rotate(-60deg);
    -moz-transform: rotate(-60deg);
    -webkit-transform: rotate(-60deg);
    transform: rotate(-45deg);
}

/*自定义复选框 end*/